RKCVTEUC(3)

NAME
RkCvtEuc - convert shift JIS code to EUC code

SYNOPSIS
#include <canna/RK.h>
int RkCvtEuc(dst, maxdst, src, srclen)
unsigned char *dst;
int maxdst;
unsigned char *src;
int srclen;

DESCRIPTION
RkCvtEuc converts the srclen bytes of shift JIS code data to EUC code, starting at the area src. A null character in src is not interpreted as the end of the string. The conversion result is stored in the area dst. Characters that are not subject to conversion are copied as they are. The conversion result is truncated to adjust to character boundaries in the EUC code when its byte length exceeds maxdst -1. dst is padded with null characters at the end if possible.

NULL can be specified in dst. NULL overrides the entire conversion result.

RETURN VALUE
This function returns the byte length of the conversion result, or returns 0 if the value of maxdst is invalid.